BEGIN;

CREATE TABLE pua (
  pua_id            serial primary key,
  username          text not null,
  password_hash     text not null,
  public_key        text,             -- FUTURE USE
  active            boolean NOT NULL
) ;

CREATE TABLE owner_device (
  device_id         serial PRIMARY KEY,
  pua_id            int4 NOT NULL,
  device_name       TEXT
) ;

CREATE TABLE owner_contact_method (
  owner_contact_method_id serial PRIMARY KEY,
  device_id         int4 NOT NULL,
  uri               text NOT NULL
) ;
  
CREATE TABLE pua_contact (
  contact_id        serial primary key,
  pua_id            int4 NOT NULL,
  contact_name      text,
  comment           text,
  CONSTRAINT fk_pua_contact_pua_id FOREIGN KEY (pua_id) REFERENCES pua (pua_id)
) ;

CREATE TABLE contact_method (
  contact_method_id serial primary key,
  contact_id        int4,
  uri               text,
  CONSTRAINT fk_contact_method_contact_id FOREIGN KEY (contact_id) REFERENCES pua_contact (contact_id)
) ;

CREATE TABLE group_entry (
  group_entry_id    serial primary key,
  parent_contact_id int4 not null,
  child_contact_id  int4 not null,
  CONSTRAINT fk_group_entry_parent_contact_id FOREIGN KEY (parent_contact_id) REFERENCES pua_contact (contact_id),
  CONSTRAINT fk_group_entry_child_contact_id FOREIGN KEY (child_contact_id) REFERENCES pua_contact (contact_id)
) ;

CREATE TABLE rule (
  rule_id           serial primary key,
  pua_id            int4 not null,
  rule_name         text not null,
  contact_id        int4,
  criteria          text,
  action            text not null,
  CONSTRAINT fk_rule_pua_id FOREIGN KEY (pua_id) REFERENCES pua (pua_id),
  CONSTRAINT fk_rule_contact_id FOREIGN KEY (contact_id) REFERENCES pua_contact (contact_id)
) ;

COMMIT;
