-- TEST DATA
\set pua     'insert into pua (pua_id,username,password_hash,active) values '
\set contact 'insert into pua_contact (contact_id,pua_id,contact_name, comment) values '
\set contact_method 'insert into contact_method (contact_method_id, contact_id, uri) values '
\set group_entry 'insert into group_entry (group_entry_id,parent_contact_id, child_contact_id) values '
\set owner_device 'insert into owner_device(device_id, pua_id, device_name) values '
\set owner_contact 'insert into owner_contact_method(owner_contact_method_id,device_id,uri) values '
\set rule 'insert into rule (rule_id, pua_id, rule_name, contact_id, criteria,action) values '
-- Bob
:pua (1,'bob','$1$123$645rhz1p44sbL1.NNpYxa.',true);

-- Bob's friends & associates (does not including himself)
:contact (1,1,'Jim', 'Some guy');
:contact (2,1,'Jane','My wife');
:contact (3,1,'John','My son');
:contact (4,1,'Work','My work');
:contact (5,1,'Mark','My boss');
:contact (6,1,'Tim', 'Workmate');

-- Mark and Tim belong to Bob's 'Work' contact group
:group_entry (1,4,5);
:group_entry (2,4,6);

-- list of contact of Bob's friends & associates
:contact_method (1,1,'uci:+6487849347337');
:contact_method (2,2,'uci:+6487844992267');
:contact_method (3,1,'pstn:+64211121432');
:contact_method (4,1,'pstn:+6448032204');
:contact_method (5,1,'h323:bob@catalyst.net.nz');
:contact_method (6,3,'pstn:+6491006520');
:contact_method (7,1,'asterisk:vmb-bob@asterisk.catalyst.net.nz');
:contact_method (8,5,'uci:+641234556789');
:contact_method (9,6,'pstn:+64987654321');

-- Bob's contact devices
:owner_device (1,1,'Sony Ericcson P9000');
:owner_device (2,1,'Motorola Beeper T3540');
:owner_device (3,1,'Telecom XX1234');
:owner_device (4,1,'PC');

-- P9000 supports sms and pstn
-- Beeper is an sms only device (it beeps and you can read the message)
-- Telecom XX1234 is strictly pstn
:owner_contact(1,1,'sms:+6448032204');
:owner_contact(2,1,'pstn:+6448032204');
:owner_contact(3,2,'sms:+6421212121');
:owner_contact(4,3,'pstn:+6432235344');
:owner_contact(5,4,'email:bobspam@hotmail.com');

-- For most people, you can either contact Bob on his work phone (between 9-5)
-- or you can sms him on his beeper if in NZ, or at worst, you can contact 
---his spam account at hotmail (providing socrates is up - checked by pinging it).
-- If someone from work calls, it'll always go to his work phone
-- If Jane calls, she can call him on his mobile (P9000)...
-- note: connect:X - X is a device_id
:rule(1,1,'default',null,null,             'check:daytime:::check:nzuri:::check:presence');
:rule(2,1,'daytime',null,'hours:0900-1600','connect:3');
:rule(3,1,'jane',   2,   null,	           'connect:1');
:rule(4,1,'work',   4,   null,             'connect:3');
:rule(5,1,'nzuri',  null,'uri_match:\\+64','connect:2');
:rule(6,1,'presence',null,'ping:socrates' ,'connect:4');
